<article *ngFor="let historyLine of timelineService.historyPost$ | async; trackBy: trackByFn"
         class="timeline-list__post-container">
  <div class="timeline-list__row">
    <h3 class="timeline-list__user"> {{ historyLine.userName }}</h3>
    <span class="timeline-list__date-row"> {{ (historyLine.date | date: 'medium') }} </span>
  </div>
  <div class="timeline-list__icons">
    <i class="timeline-list__icon material-icons" (click)="editPost(historyLine.id, historyLine.text)">edit</i>
    <i class="timeline-list__icon material-icons" (click)="removePost(historyLine.id)">close</i>
  </div>
  <div class="timeline-list__row">
    <div class="timeline-list__content" *ngIf="historyLine.id !== editingPostId; else editArea">
      <ng-container *ngFor="let slice of historyLine.text.split(' ')">
        <!-- This will verify if is user Id to add the component -->
        <ng-container *ngIf="slice.indexOf('userId') === -1"> {{ slice + ' ' }}</ng-container>
        <ng-container *ngIf="slice.indexOf('userId') !== -1">
          <ng-container *ngTemplateOutlet="userInfoComponent; context: {userId: slice}"></ng-container>
        </ng-container>
      </ng-container>
    </div>
  </div>
</article>
<ng-template #editArea>
  <textarea class="timeline-list__text-area"
            [(ngModel)]="currentText"
            [mentionConfig]="mentionConfig"
  ></textarea>
  <div class="timeline-list__buttons">
    <button class="btn btn--red" (click)="cancel()">Cancel</button>
    <button class="btn" (click)="savePost()">Submit</button>
  </div>
</ng-template>
<ng-template #userInfoComponent let-userId="userId">
  <app-employee-info *ngIf="userId" [userId]="userId"></app-employee-info>
</ng-template>
